/***************************************************************************/
/* 		This code is part of Nscache - viewer of Netscape(tm)	   */
/*		browsers disk cache					   */
/*		Copyright (c) 1999,2000 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		modified 2005 by Harald Foerster			   */
/*		(harald_foerster@users.sourceforge.net)			   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <glib.h>



char *get_mime_param_val_str(const char *mem, int mem_len,
				const char *mime_id, int mid_len)
{
	const char *p;

	if ((p = mem) == NULL)
	{
		return NULL;
	}

	p += mem_len;

	while (p > mem)
	{
		if (!isprint(*mem))
		{
			mem++;
			continue;
		}

		if (!g_strncasecmp(mem, mime_id, mid_len))
		{
			int		length;
			char		*rv;
			const char	*beg, *end;

			beg = mem + mid_len;

			while ( p > beg && (!isprint(*beg) || isspace(*beg)) )
			{
				beg++;
			}

			end = beg;

			while (p > end && isprint(*end))
			{
				if(end[1] == ';')
				{
					break;
				}

				end++;
			}

			while (isspace(*end))
			{
				end--;
			}

			length = end - beg + 1;

			rv = g_malloc(length + 1);
			strncpy(rv, beg, length);
			rv[length] = '\0';

			return rv;
		}

		/* skip next newline */

		if ('\r' == '\n')
			mem += strcspn(mem, "\x0D\x0A") + 1;
		else
			mem += strcspn(mem, "\r\n") + 1;

	} /* while (p > mem) */

	return NULL;
}

/* EOF */
