/***************************************************************************/
/* 		This code is part of Nscache - viewer of Netscape(tm)	   */
/*		browsers disk cache					   */
/*		Copyright (c) 1999,2000 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		modified 2005,2006,2007 by Harald Foerster		   */
/*		(harald_foerster@users.sourceforge.net)			   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _nls_H_
#define _nls_H_

#include <gtk/gtk.h>

extern const char *nscache_package_str;

#define CATALOG_NAME	nscache_package_str

#ifdef HAVE_GETTEXT

#include <locale.h>
#include <libintl.h>

#ifdef LC_MESSAGES

#define INIT_LOCALE()				\
{						\
	const char *locale;			\
	locale = setlocale(LC_MESSAGES, "");	\
	setlocale(LC_CTYPE, locale);		\
	bindtextdomain(CATALOG_NAME, NLS_DIR);	\
	textdomain(CATALOG_NAME);		\
}

#else

#define INIT_LOCALE()				\
{						\
	setlocale(LC_CTYPE, "");		\
	bindtextdomain(CATALOG_NAME, NLS_DIR);	\
	textdomain(CATALOG_NAME);		\
}
#endif /* LC_MESSAGES */

#else

#define gettext(str)		((char *) str)
#define INIT_LOCALE()

#endif /* HAVE_GETTEXT */

#define gettext_nop(str)	(str)

/*
	------
	 UTF8
	------
*/

#if GTK_MAJOR_VERSION == 1

#define utf8_from_filename(str, len)	\
	((char *) (((len) == NULL) ? (str) : (*(int *) (len) = strlen(str), (str))))
#define utf8_to_filename(str)		((char *) (str))
#define utf8_to_filename_strdup(str)	g_strdup(str)
#define utf8_from_str(str)		((char *) (str))
#define utf8_to_str(str)		((char *) (str))
#define utf8_to_strdup(str)		g_strdup(str)
#define utf8_free(str)
#define utf8_offset_to_pointer(str, i)	&(str)[i]
#define utf8_strlen(str)		strlen(str)

#else

#define utf8_from_filename(str, len)	g_filename_to_utf8((str), -1, NULL, (len), NULL)
#define utf8_to_filename(str)		g_filename_from_utf8((str), -1, NULL, NULL, NULL)
#define utf8_to_filename_strdup(str)	utf8_to_filename(str)
#define utf8_from_str(str)		g_locale_to_utf8((str), -1, NULL, NULL, NULL)
#define utf8_to_str(str)		g_locale_from_utf8((str), -1, NULL, NULL, NULL)
#define utf8_to_strdup(str)		utf8_to_str(str)
#define utf8_free(str)			g_free(str)
#define utf8_offset_to_pointer(str, i)	g_utf8_offset_to_pointer((str), (i))
#define utf8_strlen(str)		g_utf8_strlen((str), -1)

#endif /* GTK_MAJOR_VERSION */

#endif /* _nls_H_ */
