#ifdef CONFIG_BERKELEY_DB

#include <time.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>

typedef struct _dayn {
	char *name;
	int  dayn;
}dayn;

static dayn dnames[] = {
	{"Sun" , 0} ,
	{"Mon" , 1} ,
	{"Tue" , 2} ,
	{"Wed" , 3} ,
	{"Thu" , 4} ,
	{"Fri" , 5} ,
	{"Sat" , 6} ,
	{"Sunday" , 0} ,
	{"Monday" , 1} ,
	{"Tuesday" , 2} ,
	{"Wednesday" , 3} ,
	{"Thursday" , 4} ,
	{"Friday" , 5} ,
	{"Saturday" , 6} ,
};

static dayn mnames[] = {
	{"Jan" , 0} ,
	{"Feb" , 1} ,
	{"Mar" , 2} ,
	{"Apr" , 3} ,
	{"May" , 4} ,
	{"Jun" , 5} ,
	{"Jul" , 6} ,
	{"Aug" , 7} ,
	{"Sep" , 8} ,
	{"Oct" , 9} ,
	{"Nov" , 10} ,
	{"Dec" , 11} ,
	{"January" , 0} ,
	{"February" , 1} ,
	{"March" , 2} ,
	{"April" , 3} ,
	{"May" , 4} ,
	{"Jun" , 5} ,
	{"July" , 6} ,
	{"August" , 7},
	{"September" , 8} ,
	{"October" , 9} ,
	{"November" , 10} ,
	{"December" , 11} ,
};

#define NUM_ELEM(v) (sizeof(v)/sizeof(v[0]))

static long int _atoi(str) 
char *str;
{
	char *__eptr__;
	long int rv;

	if (!*str)
	{
		errno = ERANGE;
		rv = 0;
	}
	else
	{
		rv = strtol(str , (char **) &__eptr__ , 10);
		if (*__eptr__ != '\0') errno = ERANGE;
		else errno = 0;
	}

	return rv;
}

static struct tm *new_tm(t)
struct tm *t;
{
	struct tm* tn;

	if (!t) return NULL;

	tn = malloc(sizeof(struct tm));
	memcpy((char *)tn , (char *)t , sizeof(struct tm));
	return tn;
}

#ifndef HAVE_GMTOFF
/************************************************************************/
/*   this function I steal from gettext-0.10.35/src/xgettext.c		*/
/* 			here is copyright 				*/
/*   copyright (C) 1995, 1996, 1997, 1998 Free Software Foundation, Inc.*/
/*   Written by Ulrich Drepper <drepper@gnu.ai.mit.edu>, April 1995.    */
/************************************************************************/

#define TM_YEAR_ORIGIN 1900

/* Yield A - B, measured in seconds.  */
static long difftm (a, b)
     struct tm *a;
     struct tm *b;
{
  int ay = a->tm_year + (TM_YEAR_ORIGIN - 1);
  int by = b->tm_year + (TM_YEAR_ORIGIN - 1);
  /* Some compilers cannot handle this as a single return statement.  */
  long days = (
               /* difference in day of year  */
               a->tm_yday - b->tm_yday
               /* + intervening leap days  */
               + ((ay >> 2) - (by >> 2))
               - (ay / 100 - by / 100)
               + ((ay / 100 >> 2) - (by / 100 >> 2))
               /* + difference in years * 365  */
               + (long) (ay - by) * 365l);

  return 60l * (60l * (24l * days + (a->tm_hour - b->tm_hour))
                + (a->tm_min - b->tm_min))
         + (a->tm_sec - b->tm_sec);
}
#endif

time_t scntime(timestr)
char *timestr;
{
	char *pom = strdup(timestr);
	int i;
	char *p;
	struct tm otm;
	time_t rv;
	int ilen;
	int last = 1;

	memset((void *)&otm , '\0' , sizeof(otm));

	otm.tm_isdst = -1;

	p = pom;
	p += strspn(p , ", -:");
	ilen = strcspn(p , ", -:");
	if (*(p+ilen)) *(p+ilen) = '\0';
	else last = 0;

	if (!*p) return 0L;
	for (i = 0 ; i < NUM_ELEM(dnames) ; i++)
	{
		if (!strcasecmp(p , dnames[i].name))
		{
			otm.tm_wday = dnames[i].dayn;
			break;
		}
	}
	if (!(i < NUM_ELEM(dnames))) return 0L;

#define NEXT_TOKEN \
	p += ilen+last;\
	p += strspn(p , ", -:");\
	ilen = strcspn(p , ", -:");\
	if (*(p+ilen)) *(p+ilen) = '\0';\
	else last = 0;\

	NEXT_TOKEN;
	otm.tm_mday = _atoi(p);
	if (errno == ERANGE)
	{
		for(i = 0 ; i < NUM_ELEM(mnames) ; i++)
		{
			if (!strcasecmp(p , mnames[i].name))
			{
				otm.tm_mon = mnames[i].dayn;
				break;
			}
		}
		if (!(i < NUM_ELEM(mnames))) return 0L;

		NEXT_TOKEN;
		otm.tm_mday = _atoi(p);
		if (errno == ERANGE) return 0L;

		NEXT_TOKEN;
		otm.tm_hour = _atoi(p);
		if (errno == ERANGE) return 0L;

		NEXT_TOKEN;
		otm.tm_min = _atoi(p);
		if (errno == ERANGE) return 0L;

		NEXT_TOKEN;
		otm.tm_sec = _atoi(p);
		if (errno == ERANGE) return 0L;

		NEXT_TOKEN;
		otm.tm_year = _atoi(p);
		if (errno == ERANGE) return 0L;
		otm.tm_year = (otm.tm_year > 1900) ? otm.tm_year - 1900 : otm.tm_year;
	}
	else
	{
		NEXT_TOKEN;
		for(i = 0 ; i < NUM_ELEM(mnames) ; i++)
		{
			if (!strcasecmp(p , mnames[i].name))
			{
				otm.tm_mon = mnames[i].dayn;
				break;
			}
		}
		if (!(i < NUM_ELEM(mnames))) return 0L;

		NEXT_TOKEN;
		otm.tm_year = _atoi(p);
		if (errno == ERANGE) return 0L;
		otm.tm_year = (otm.tm_year > 1900) ? otm.tm_year - 1900 : otm.tm_year;

		NEXT_TOKEN;
		otm.tm_hour = _atoi(p);
		if (errno == ERANGE) return 0L;

		NEXT_TOKEN;
		otm.tm_min = _atoi(p);
		if (errno == ERANGE) return 0L;

		NEXT_TOKEN;
		otm.tm_sec = _atoi(p);
		if (errno == ERANGE) return 0L;
	}

	rv = mktime(&otm);

#ifdef HAVE_GMTOFF
	rv += otm.tm_gmtoff;
#else
{
	struct tm *gt,*lt;

	lt = new_tm(localtime(&rv));
	gt = new_tm(gmtime(&rv));

	rv += difftm(lt , gt);

	free(lt);
	free(gt);
}
#endif

	free(pom);
	return rv;
}

#endif /* CONFIG_BERKELEY_DB */

/* EOF */
